#version 330 core
layout(location = 0)in vec3 vertexPosition;
layout(location = 1)in vec2 vertexTexCoord;

uniform mat4 modelMat;

out vec2 texCoord;

void main(void)
{
    texCoord = vertexTexCoord;
    gl_Position = modelMat * vec4(vertexPosition,1);
}