#version 330 core
layout(location = 0)in vec3 vertexPosition;
layout(location = 1)in vec2 vertexTexCoord;

uniform mat4 modelMat;
uniform vec2 pos;
uniform vec2 size;

out vec2 texCoord;

void main(void)
{
    texCoord = vec2(pos.x+vertexTexCoord.x*size.x,pos.y+vertexTexCoord.y*size.y);
    gl_Position = modelMat * vec4(vertexPosition,1);
}