#version 330
layout(location = 0)in vec3 vertexPosition;
layout(location = 1)in vec2 vertexTexCoord;

uniform mat4 modelMat;

layout(std140) uniform CameraInfo
{
	mat4 projectionMat;
	mat4 viewMat;
};

out vec2 texCoord;

void main(void)
{
    mat4 m = projectionMat;
    texCoord = vertexTexCoord;
    gl_Position = modelMat * vec4(vertexPosition,1);
}