#version 330 core

layout(location = 0)in vec3 vertexPosition;

layout(std140) uniform CameraInfo
{
	mat4 projectionMat;
	mat4 viewMat;
};

uniform mat4 modelMat;

void main() {
	
	gl_Position = projectionMat * viewMat * modelMat* vec4(vertexPosition,1);
}