#version 330 core

in vec2 texCoord;

layout(location = 0)out vec4 fragColor;

uniform vec3 sunColor;
uniform float falloff;

void main()
{
	vec2 tc = (texCoord-0.5f)*2;
	float s = length(tc);
	s *= s*s*s;
	s=1-s;
	fragColor = vec4(sunColor*s,s);
}