#version 330 core

in vec2 texCoord;
layout(location = 0)out vec4 fragColor;

uniform sampler2D texture0;
uniform vec3 color = vec3(1,0,0);

void main (void)  
{     
   vec4 col = texture(texture0, texCoord);
   vec3 c1 = vec3(col.r);
   vec3 ret = mix(c1, color, col.g*c1);
   fragColor =  vec4(ret,0);
}